---
title: features
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
# Install WebLogic
This module supports the installation of WebLogic versions:
- 10g
- 11g
- 12c( 12.1.1 & 12.1.2 & 12.1.3 12.2.1.0 12.2.1.1 + 12.2.1.2 and FMW infra )

# Applying Patches
You can use Puppet to apply patches. We support BSU patches on Weblogic versions before 12.1.2, For WebLogic versions higher than 12.1.2, we support Opatch.

# Basic Domain Management
We support the creation of a domain. You can create different types of domains:
- default WebLogic
- JRF + EM + Coherence + OWSM + JAX-WS Advanced + Soap over JMS
- OSB + JRF + EM + OWSM + ESS ( optional with 12.1.3 and higher)
- OSB + SOA Suite + BAM + JRF + EM + OWSM + ESS ( optional with 12.1.3 and higher)
- OSB + SOA Suite + BAM + BPM + JRF + EM + OWSM + ESS ( optional with 12.1.3 and higher )
- SOA Suite + BAM + JRF + EM + OWSM + ESS ( optional with 12.1.3 and higher )
- SOA Suite + BAM + BPM + JRF + EM + OWSM + ESS ( optional with 12.1.3 and higher )
- WC (webcenter) + WCC ( Content ) + BPM + JRF + EM + OWSM
- WC (webcenter) + JRF + EM + OWSM
- OIM (Oracle Identity Manager) + OAM ( Oracle Access Manager)
- OUD (Oracle Unified Directory)

The modules also allow you to pack a domain and copy it to an other node in a cluster.

# Security
The module has support for Java Secure Socket Extension support(JSSE) and Custom Identity and Trust Store support]

# Startup and shutdown
- Startup a nodemanager
- Start or stop AdminServer, Managed or a Cluster
- Storing WebLogic Credentials and using in WLST

# Miscellaneous
- Linux low on entropy or urandom fix
- Dynamic targetting] by using the notes field in WebLogic for resource targetting

# Fusion Middleware Features 11g & 12.1.3, 12.2.1.1, 12.2.1.2
- installs FMW software(add-on) to a middleware home, like OSB,SOA Suite, Oracle Identity & Access Management, Oracle Unified Directory, WebCenter Portal + Content
- WebTier Oracle HTTP server
- OSB, SOA Suite with BPM and BAM Cluster configuration support ( convert single osb/soa/bam servers to clusters and migrate OPSS to the database )
- ADF/JRF support, Assign JRF libraries to a Server or Cluster target
- IDM/OAM configurations with Oracle OHS OAM WebGate, Also Cluster support for OIM OAM
- OUD Oracle Unified Directory install, WebLogic domain, instances creation & OUD control
- Forms/Reports Oracle Forms & Reports 11.1.1.7 or 11.1.2
- Change FMW log location of a managed server
- Resource Adapterplan and entries for AQ, DB File and JMS

# WebLogic Facts
Contains WebLogic Facter which displays the following
- Middleware homes
- Oracle Software
- BSU & OPatch patches
- Domain configuration ( everything of a WebLogic Domain like deployments, datasource, JMS, SAF)
