 This defined type allows you copy a domain to an other WebLogic node. It is used in conjunction with ora_install::packdomain to build WebLogic clusters. Here is an example on how you could use this:

```puppet
ora_install::copydomain{"Wls12c":
  version                => 1212,
  weblogic_home_dir      => "/opt/oracle/middleware12c/wlserver",
  middleware_home_dir    => "/opt/oracle/middleware12c",
  jdk_home_dir           => "/usr/java/jdk1.7.0_45",
  wls_domains_dir        => "/opt/oracle/domains",
  wls_apps_dir           => "/opt/oracle/applications",
  domain_name            => "Wls12c",
  os_user                => "oracle",
  os_group               => "dba",
  download_dir           => "/data/install",
  log_dir                => "/var/log/weblogic",
  log_output             => true,
  use_ssh                => false,
  domain_pack_dir        => /mnt/fmw_share,
  adminserver_address    => "10.10.10.10",
  adminserver_port       => 7001,
  weblogic_user          => "weblogic",
  weblogic_password      => "weblogic1",
  setinternalappdeploymentondemandenable => false,
  setconfigbackupenabled                 => true,
  setarchiveconfigurationcount           => 10,
  setconfigurationaudittype              => 'logaudit',
}
```

<%- include_attributes [
  :version,
  :middleware_home_dir,
  :weblogic_home_dir,
  :jdk_home_dir,
  :wls_domains_dir,
  :wls_apps_dir,
  :use_ssh,
  :domain_pack_dir,
  :domain_name,
  :adminserver_address,
  :adminserver_port,
  :use_t3s,
  :user_config_file,
  :user_key_file,
  :weblogic_user,
  :weblogic_password,
  :os_user,
  :os_group,
  :download_dir,
  :log_dir,
  :server_start_mode,
  :wls_domains_file,
  :copy_script,
  :puppet_os_user,
  :jsse_enabled,
  :custom_trust,
  :trust_keystore_file,
  :trust_keystore_passphrase,
  :extra_arguments,
  :log_output,
  :logoutput
]%>
