 This defined type allows you create a WebLogic domain. It supports the following WebLogic versions:
- 1036
- 1111
- 1211
- 1212
- 1213

You can specify a domain template, thus specifying what kind of domain will be created. Using the template, you can create a Fusion Middleware enabled domain. The defined type supports the following templates:
- Standard
- Adf
- Osb
- osb_soa
- osb_soa_bpm
- soa
- soa_bpm

Here is an example on how you could use this:

```puppet
orawls::domain { 'wlsDomain12c':
  version                     => 1212
  weblogic_home_dir           => "/opt/oracle/middleware12c/wlserver",
  middleware_home_dir         => "/opt/oracle/middleware12c",
  jdk_home_dir                => "/usr/java/jdk1.7.0_45",
  domain_template             => "standard", 
  domain_name                 => "Wls12c",
  development_mode            => false,
  adminserver_name            => "AdminServer",
  adminserver_address         => "localhost",
  adminserver_port            => 7001,
  nodemanager_secure_listener => true,
  nodemanager_port            => 5556,
  java_arguments              => { "ADM" => "...", "OSB" => "...", "SOA" => "...", "BAM" => "..."},
  weblogic_user               => "weblogic",
  weblogic_password           => "weblogic1",
  os_user                     => "oracle",
  os_group                    => "dba",
  log_dir                     => "/data/logs",
  download_dir                => "/data/install",
}

```

 <%- include_attributes [
  :version,
  :weblogic_home_dir,
  :middleware_home_dir,
  :jdk_home_dir,
  :jdk_major_version,
  :wls_domains_dir,
  :wls_apps_dir,
  :domain_template,
  :bam_enabled,
  :b2b_enabled,
  :ess_enabled,
  :owsm_enabled,
  :domain_name,
  :development_mode,
  :adminserver_name,
  :adminserver_machine_name,
  :adminserver_address,
  :adminserver_port,
  :adminserver_ssl_port,
  :adminserver_listen_on_all_interfaces,
  :java_arguments,
  :nodemanager_address,
  :nodemanager_port,
  :nodemanager_secure_listener,
  :weblogic_user,
  :weblogic_password,
  :nodemanager_username,
  :nodemanager_password,
  :domain_password,
  :jsse_enabled,
  :webtier_enabled,
  :os_user,
  :os_group,
  :download_dir,
  :log_dir,
  :repository_database_url,
  :rcu_database_url,
  :rcu_honor_omf,
  :rcu_soa_profile,
  :repository_prefix,
  :repository_password,
  :repository_sys_user,
  :repository_sys_password,
  :custom_trust,
  :trust_keystore_file,
  :trust_keystore_passphrase,
  :custom_identity,
  :custom_identity_keystore_filename,
  :custom_identity_keystore_passphrase,
  :custom_identity_alias,
  :custom_identity_privatekey_passphrase,
  :create_rcu,
  :ohs_standalone_listen_address,
  :ohs_standalone_listen_port,
  :ohs_standalone_ssl_listen_port,
  :wls_domains_file,
  :puppet_os_user,
  :log_output,
  :logoutput,
]%>
