
This defined type allows you to install the Fusion Middleware add-on software. It supports:

- OSB
- SOA Suite
- WebTier (HTTP Server)
- Oracle Identity Management
- Web Center + Content

Here is an example on how you could use this:

```puppet
orawls::fmw{"osbPS6":
  middleware_home_dir     => "/opt/oracle/middleware11gR1",
  weblogic_home_dir       => "/opt/oracle/middleware11gR1/wlserver",
  jdk_home_dir            => "/usr/java/jdk1.7.0_45",
  oracle_base_home_dir    => "/opt/oracle",
  fmw_product             => "osb",  # adf|soa|osb|oim|wc|wcc|web
  fmw_file1               => "ofm_osb_generic_11.1.1.7.0_disk1_1of1.zip",
  os_user                 => "oracle",
  os_group                => "dba",
  download_dir            => "/data/install",
  source                  => "/vagrant",
}
```

<%- include_attributes [
  :version,
  :weblogic_home_dir,
  :middleware_home_dir,
  :oracle_base_home_dir,
  :oracle_home_dir,
  :jdk_home_dir,
  :fmw_product,
  :fmw_file1,
  :fmw_file2,
  :fmw_file3,
  :fmw_file4,
  :bpm,
  :healthcare,
  :os_user,
  :os_group,
  :download_dir,
  :source,
  :temp_directory,
  :ohs_mode,
  :oracle_inventory_dir,
  :orainstpath_dir,
  :logoutput,
  :log_output,
  :remote_file
]%>
