---
title: urandomfix
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview

This class installs the urandom fix for Java.

On Linux low entropy can cause certain operations to be very slow.
Encryption operations need entropy to ensure randomness. Entropy is
generated by the OS when you use the keyboard, the mouse or the disk.

If an encryption operation is missing entropy it will wait until
enough is generated. Which can slow down your system.

To fix this, there are three options:

- use rngd service (this class)
- set java.security in JDK ( jre/lib/security )
- set -Djava.security.egd=file:/dev/./urandom param

To use the rng service, just add:

```puppet
include wls_install::urandomfix
```

to your manifest.




