---
title: wls adminserver
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview

control the adminserver state like running,stop,restart

## Attributes



Attribute Name                                                              | Short Description                                             |
--------------------------------------------------------------------------- | ------------------------------------------------------------- |
[custom_trust](#wls_adminserver_custom_trust)                               | The custom trust enabled.                                     |
[domain_name](#wls_adminserver_domain_name)                                 | The weblogic domain name.                                     |
[domain_path](#wls_adminserver_domain_path)                                 | The full domain path.                                         |
[ensure](#wls_adminserver_ensure)                                           | Whether to do something.                                      |
[jdk_home_dir](#wls_adminserver_jdk_home_dir)                               | The jdk home dir.                                             |
[jsse_enabled](#wls_adminserver_jsse_enabled)                               | The jsse enabled.                                             |
[name](#wls_adminserver_name)                                               | The title.                                                    |
[nodemanager_address](#wls_adminserver_nodemanager_address)                 | The nodemanager address.                                      |
[nodemanager_port](#wls_adminserver_nodemanager_port)                       | The nodemanager port.                                         |
[nodemanager_secure_listener](#wls_adminserver_nodemanager_secure_listener) | The nodemanager secure listener true or false.                |
[ohs_standalone_server](#wls_adminserver_ohs_standalone_server)             | Flag to determinate if the server is a OHS standalone server. |
[os_user](#wls_adminserver_os_user)                                         | The weblogic operating system user.                           |
[provider](#wls_adminserver_provider)                                       | resource.                                                     |
[refreshonly](#wls_adminserver_refreshonly)                                 | refresh mechanism for when a dependent object is changed.     |
[server_name](#wls_adminserver_server_name)                                 | The adminserver name.                                         |
[trust_keystore_file](#wls_adminserver_trust_keystore_file)                 | The trust keystore full path.                                 |
[trust_keystore_passphrase](#wls_adminserver_trust_keystore_passphrase)     | The trust keystore password.                                  |
[weblogic_home_dir](#wls_adminserver_weblogic_home_dir)                     | The weblogic home folder.                                     |
[weblogic_password](#wls_adminserver_weblogic_password)                     | The weblogic user password.                                   |
[weblogic_user](#wls_adminserver_weblogic_user)                             | The weblogic user.                                            |




### custom_trust<a name='wls_adminserver_custom_trust'>

The custom trust enabled.

Valid values are `true`, `false`. 

[Back to overview of wls_adminserver](#attributes)

### domain_name<a name='wls_adminserver_domain_name'>

The weblogic domain name.



[Back to overview of wls_adminserver](#attributes)

### domain_path<a name='wls_adminserver_domain_path'>

The full domain path.



[Back to overview of wls_adminserver](#attributes)

### ensure<a name='wls_adminserver_ensure'>

Whether to do something.

Valid values are `start` (also called `running`), `stop` (also called `abort`). 

[Back to overview of wls_adminserver](#attributes)

### jdk_home_dir<a name='wls_adminserver_jdk_home_dir'>

The jdk home dir.



[Back to overview of wls_adminserver](#attributes)

### jsse_enabled<a name='wls_adminserver_jsse_enabled'>

The jsse enabled.

Valid values are `true`, `false`. 

[Back to overview of wls_adminserver](#attributes)

### name<a name='wls_adminserver_name'>

The title.



[Back to overview of wls_adminserver](#attributes)

### nodemanager_address<a name='wls_adminserver_nodemanager_address'>

The nodemanager address.



[Back to overview of wls_adminserver](#attributes)

### nodemanager_port<a name='wls_adminserver_nodemanager_port'>

The nodemanager port.



[Back to overview of wls_adminserver](#attributes)

### nodemanager_secure_listener<a name='wls_adminserver_nodemanager_secure_listener'>

The nodemanager secure listener true or false.

Valid values are `true`, `false`. 

[Back to overview of wls_adminserver](#attributes)

### ohs_standalone_server<a name='wls_adminserver_ohs_standalone_server'>

Flag to determinate if the server is a OHS standalone server.

Valid values are `true`, `false`. 

[Back to overview of wls_adminserver](#attributes)

### os_user<a name='wls_adminserver_os_user'>

The weblogic operating system user.



[Back to overview of wls_adminserver](#attributes)

### provider<a name='wls_adminserver_provider'>

The specific backend to use for this `wls_adminserver`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

wls_adminserver
: 



[Back to overview of wls_adminserver](#attributes)

### refreshonly<a name='wls_adminserver_refreshonly'>

The command should only be run as a
refresh mechanism for when a dependent object is changed.

Valid values are `true`, `false`. 

[Back to overview of wls_adminserver](#attributes)

### server_name<a name='wls_adminserver_server_name'>

The adminserver name.



[Back to overview of wls_adminserver](#attributes)

### trust_keystore_file<a name='wls_adminserver_trust_keystore_file'>

The trust keystore full path.



[Back to overview of wls_adminserver](#attributes)

### trust_keystore_passphrase<a name='wls_adminserver_trust_keystore_passphrase'>

The trust keystore password.



[Back to overview of wls_adminserver](#attributes)

### weblogic_home_dir<a name='wls_adminserver_weblogic_home_dir'>

The weblogic home folder.



[Back to overview of wls_adminserver](#attributes)

### weblogic_password<a name='wls_adminserver_weblogic_password'>

The weblogic user password.



[Back to overview of wls_adminserver](#attributes)

### weblogic_user<a name='wls_adminserver_weblogic_user'>

The weblogic user.



[Back to overview of wls_adminserver](#attributes)
