#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function(:'wls_install::osb_cluster_configured') do
  dispatch :osb_cluster_configured do
    param 'String', :domain_dir
    param 'String', :osb_cluster_name
    return_type 'Boolean'
  end

  def osb_cluster_configured(domain_dir, osb_cluster_name)
    scope = closure_scope
    fact = scope['wls_install_domains']
    if fact.keys.length < 1
      call_function('wls_install::log', 'osb_cluster_configured no domains found, return false')
      return false
    else
      fact.keys.each do |domain|
        osb = fact[domain]['osb']
        if osb && osb.include?(osb_cluster_name) and fact[domain]['path'] == domain_dir
          call_function('wls_install::log', "osb_cluster_configured cluster found in '#{osb}' in path '#{domain_dir}', return true")
          return true
        end
      end
    end
    call_function('wls_install::log', "osb_cluster_configured no osb clusters found named '#{osb_cluster_name}' with path '#{domain_dir}', return false")
    return false
  end
end